This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 967740 - [abrt] libvirt-daemon-1.0.5.1-1.fc19: _dbus_abort: Process /usr/sbin/libvirtd was killed by signal 6 (SIGABRT)
[abrt] libvirt-daemon-1.0.5.1-1.fc19: _dbus_abort: Process /usr/sbin/libvirtd...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Libvirt Maintainers
Fedora Extras Quality Assurance
abrt_hash:dc6c8ad6de9b54cb4d5921fb71f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-28 04:18 EDT by Vojtěch Boček
Modified: 2013-06-29 14:45 EDT (History)
10 users (show)

See Also:
Fixed In Version: libvirt-1.0.5.2-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-29 14:45:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (32.55 KB, text/plain)
2013-05-28 04:18 EDT, Vojtěch Boček
no flags Details
File: cgroup (162 bytes, text/plain)
2013-05-28 04:18 EDT, Vojtěch Boček
no flags Details
File: core_backtrace (806 bytes, text/plain)
2013-05-28 04:18 EDT, Vojtěch Boček
no flags Details
File: dso_list (10.35 KB, text/plain)
2013-05-28 04:19 EDT, Vojtěch Boček
no flags Details
File: environ (228 bytes, text/plain)
2013-05-28 04:19 EDT, Vojtěch Boček
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-28 04:19 EDT, Vojtěch Boček
no flags Details
File: maps (49.31 KB, text/plain)
2013-05-28 04:19 EDT, Vojtěch Boček
no flags Details
File: open_fds (180 bytes, text/plain)
2013-05-28 04:19 EDT, Vojtěch Boček
no flags Details
File: proc_pid_status (896 bytes, text/plain)
2013-05-28 04:19 EDT, Vojtěch Boček
no flags Details
File: var_log_messages (13.97 KB, text/plain)
2013-05-28 04:19 EDT, Vojtěch Boček
no flags Details

  None (edit)
Description Vojtěch Boček 2013-05-28 04:18:37 EDT
Description of problem:
libvirt crashed after "service libvirtd stop"

Version-Release number of selected component:
libvirt-daemon-1.0.5.1-1.fc19

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /usr/sbin/libvirtd
crash_function: _dbus_abort
executable:     /usr/sbin/libvirtd
kernel:         3.9.4-300.fc19.x86_64
runlevel:       N 5
uid:            0

Truncated backtrace:
Thread no. 1 (4 frames)
 #2 _dbus_abort at dbus-sysdeps.c:94
 #3 _dbus_warn_check_failed at dbus-internals.c:290
 #4 nwfilterStateCleanup at nwfilter/nwfilter_driver.c:349
 #5 virStateCleanup at libvirt.c:857
Comment 1 Vojtěch Boček 2013-05-28 04:18:46 EDT
Created attachment 753784 [details]
File: backtrace
Comment 2 Vojtěch Boček 2013-05-28 04:18:52 EDT
Created attachment 753785 [details]
File: cgroup
Comment 3 Vojtěch Boček 2013-05-28 04:18:58 EDT
Created attachment 753786 [details]
File: core_backtrace
Comment 4 Vojtěch Boček 2013-05-28 04:19:05 EDT
Created attachment 753787 [details]
File: dso_list
Comment 5 Vojtěch Boček 2013-05-28 04:19:12 EDT
Created attachment 753788 [details]
File: environ
Comment 6 Vojtěch Boček 2013-05-28 04:19:18 EDT
Created attachment 753789 [details]
File: limits
Comment 7 Vojtěch Boček 2013-05-28 04:19:25 EDT
Created attachment 753790 [details]
File: maps
Comment 8 Vojtěch Boček 2013-05-28 04:19:31 EDT
Created attachment 753791 [details]
File: open_fds
Comment 9 Vojtěch Boček 2013-05-28 04:19:39 EDT
Created attachment 753792 [details]
File: proc_pid_status
Comment 10 Vojtěch Boček 2013-05-28 04:19:46 EDT
Created attachment 753793 [details]
File: var_log_messages
Comment 11 Cole Robinson 2013-05-28 10:19:14 EDT
Shutdown libvirtd, it crashed

reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /usr/sbin/libvirtd
crash_function: _dbus_abort
executable:     /usr/sbin/libvirtd
kernel:         3.9.4-300.fc19.x86_64
package:        libvirt-daemon-1.0.5.1-1.fc19
reason:         Process /usr/sbin/libvirtd was killed by signal 6 (SIGABRT)
runlevel:       N 5
uid:            0
Comment 12 Cole Robinson 2013-06-11 18:40:33 EDT
Fix is:

commit 0ec376c20a42b9eb365c1f9a5596366023c20c35
Author: Stefan Berger <stefanb@linux.vnet.ibm.com>
Date:   Tue Jun 4 14:50:20 2013 -0400

    nwfilter: grab driver lock earlier during init (bz96649)
Comment 13 Fedora Update System 2013-06-12 18:08:13 EDT
libvirt-1.0.5.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libvirt-1.0.5.2-1.fc19
Comment 14 Fedora Update System 2013-06-13 14:05:36 EDT
Package libvirt-1.0.5.2-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libvirt-1.0.5.2-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10769/libvirt-1.0.5.2-1.fc19
then log in and leave karma (feedback).
Comment 15 Fedora Update System 2013-06-29 14:45:48 EDT
libvirt-1.0.5.2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.